#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 11. General Utilities

- Prev

  lsof-4.91

- Next

  Rarian-0.8.1

- Up
- Home

# pinentry-1.1.1

## Introduction to PIN-Entry

The PIN-Entry package contains a collection of simple PIN or pass-phrase entry dialogs which utilize the Assuan protocol as described by the Ägypten project. PIN-Entry programs are usually invoked by the gpg-agent daemon, but can be run from the command line as well. There are programs for various text-based and GUI environments, including interfaces designed for Ncurses (text-based), and for the common GTK and Qt toolkits.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://www.gnupg.org/ftp/gcrypt/pinentry/pinentry-1.1.1.tar.bz2

- Download (FTP): ftp://ftp.gnupg.org/gcrypt/pinentry/pinentry-1.1.1.tar.bz2

- Download MD5 sum: d7f646d373b722317d985cddc1d107c1

- Download size: 504 KB

- Estimated disk space required: 15 MB

- Estimated build time: less than 0.1 SBU

### PIN-Entry Dependencies

#### Required

Libassuan-2.5.4 and libgpg-error-1.41

#### Optional

Emacs-27.1, FLTK-1.3.5, Gcr-3.38.1, GTK+-2.24.33, GTK+-3.24.25, libsecret-0.20.4, Qt-5.15.2, and efl

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/pinentry

## Installation of PIN-Entry

Install PIN-Entry by running the following commands:

    ./configure --prefix=/usr --enable-pinentry-tty &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-inside-emacs=yes/no`: Default is no.

`--enable-pinentry-qt=yes/no`: Default is yes.

`--enable-pinentry-gtk2=yes/no`: Default is yes. Even if other pinentry-* is installed, pinentry will be a symlink to pinentry-gtk-2.

`--enable-pinentry-gnome3=yes/no`: Default is yes. Actually, it is the gtk3 pinentry.

`--enable-pinentry-tty`: Default is 'maybe'.

## Contents

Installed Programs: pinentry (symlink), pinentry-curses, pinentry-emacs, pinentry-fltk, pinentry-gnome3, pinentry-gtk-2, pinentry-qt, and pinentry-tty
Installed Libraries: None
Installed Directory: None

### Short Descriptions

pinentry | is a symbolic link to the default PIN-Entry program
pinentry-curses | is an Ncurses text-based PIN-Entry helper program
pinentry-emacs | is an Emacs version of the PIN-Entry helper program
pinentry-fltk | is a FLTK PIN-Entry helper program
pinentry-gnome3 | is a GNOME-3 PIN-Entry helper program
pinentry-gtk-2 | is a GTK+2 PIN-Entry program program
pinentry-qt | is a Qt4 or 5 PIN-Entry helper program
pinentry-tty | is a tty PIN-Entry helper program

Last updated on 2021-02-23 18:13:38 -0800

- Prev

  lsof-4.91

- Next

  Rarian-0.8.1

- Up
- Home